Uploaded image for project: 'Ruby Driver'
  1. Ruby Driver
  2. RUBY-1584

Wire version default of 0 is confusing

    • Type: Icon: Bug Bug
    • Resolution: Fixed
    • Priority: Icon: Major - P3 Major - P3
    • 2.7.0.rc0
    • Affects Version/s: None
    • Component/s: Dev Exp
    • Labels:
      None

      The code defaults wire version to 0 when one is not specified. This is done even for unknown servers that we don't know anything about at all, leading to confusing messages when an unknown server is inappropriately used (1583).

            Assignee:
            oleg.pudeyev@mongodb.com Oleg Pudeyev (Inactive)
            Reporter:
            oleg.pudeyev@mongodb.com Oleg Pudeyev (Inactive)
            Votes:
            0 Vote for this issue
            Watchers:
            2 Start watching this issue

              Created:
              Updated:
              Resolved: